UbixOS V2 2.0

Macros | Functions
slipif.h File Reference
`#include "net/opt.h"`
`#include "net/netif.h"`
Include dependency graph for slipif.h:

Go to the source code of this file.

## Macros
#define | SLIP_RX_FROM_ISR 0
#define | SLIP_RX_QUEUE SLIP_RX_FROM_ISR
#define | SLIP_USE_RX_THREAD !NO_SYS

## Functions
err_t | slipif_init (struct netif *netif)
void | slipif_poll (struct netif *netif)

## Detailed Description

SLIP netif API

Definition in file slipif.h.

## Macro Definition Documentation

## ◆ SLIP_RX_FROM_ISR

#define SLIP_RX_FROM_ISR 0

Set this to 1 to enable functions to pass in RX bytes from ISR context. If enabled, slipif_received_byte[s]() process incoming bytes and put assembled packets on a queue, which is fed into lwIP from slipif_poll(). If disabled, slipif_poll() polls the serial line (using sio_tryread()).

Definition at line 59 of file slipif.h.

## ◆ SLIP_RX_QUEUE

#define SLIP_RX_QUEUE SLIP_RX_FROM_ISR

Set this to 1 (default for SLIP_RX_FROM_ISR) to queue incoming packets received by slipif_received_byte[s]() as long as PBUF_POOL pbufs are available. If disabled, packets will be dropped if more than one packet is received.

Definition at line 67 of file slipif.h.

## ◆ SLIP_USE_RX_THREAD

#define SLIP_USE_RX_THREAD !NO_SYS

Set this to 1 to start a thread that blocks reading on the serial line (using sio_read()).

Definition at line 50 of file slipif.h.

## Function Documentation

## ◆ slipif_init()

err_t slipif_init | ( | struct netif * | netif | ) |

## ◆ slipif_poll()

void slipif_poll | ( | struct netif * | netif | ) |